# Creating a custom generator preset

To create a new generator preset, use:

[<mark style="background-color:green;">POST</mark> api/Presets](https://app.tonic.ai/apidocs/index.html#/Presets/CreatePreset)

In the request, you provide a preset object with the details for the new generator preset.

The following example preset object creates a generator preset for the Name generator.

This version of the Name generator is intended for values in the format `Last Name, First Name`. For example, `Smith, John`. It preserves capitalization and is not consistent.

```
{
  name: "Name - Last Name, First Name"
  description: "Use for values in the format Last Name, First Name."
  generatorId: "NameGenerator"
  "metadata": {
    "links": {
      "metadata": {
        "nameType": "LastCommaFirstName",
        "preserveCapitalization": true,
        "isConsistent": false  
      }
    }
  }
}
```

For a successful request, the response contains the full generator preset details, including the identifier of the new generator preset.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/api-generator-presets/api-generator-presets-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
